/*----------------------------------------------------------*
   LPC84x EXTRA - peripheral wrapper library (DWT) v1.0
                                       Last Edit '21 01/15
   Copyright (c) BestTechnology CO.,LTD. 2021
 *----------------------------------------------------------*/

#ifndef _WL_DELAY_H_INCLUDE
#define _WL_DELAY_H_INCLUDE

#include  <stdint.h>
#include  <stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif

extern void (*Delay_csw) (void);

extern void Delay_us (uint32_t us);
extern void Delay_ms (uint32_t ms);
extern uint32_t Delay_GetTick (void);

#ifdef __cplusplus
}
#endif

#endif //_WL_DELAY_H_INCLUDE
