/*
  B3MvgR zXg

  dRS-485 I/FB3MV[YƒʐMsB

  EʐMx_BAUDRATEAΏID_TARGET_IDĎw
  EB3MȂvOI
  E[}bvǂݏ჌x̊֐݂̂gp
  E{[hTTLyRS-485̒ʐM|[gB3MƂ̒ʐMŐLĂ܂
    ߁AGPIOoRUSARTfobOR\[
  Epxw߂LED̖łFreeRTOSŌʂ̃^XNŏ
  ENbN̓̕sɂ1Mbps𒴂{[[g1M,2M,4Mbps
    ݂ɑΉ
 */

#include  <FreeRTOS.h>
#include  <task.h>

#include  <chip.h>
// {[h̒[q蓖Ăƍŏ̏
#include  "e097b_def.h"
#include  <us.h>
#include  <wl_delay.h>

// USART_TYPE}NŎgpUSARTƋ@\I
// CN1-6,CN1-7 4:|[O, 5:荞, 6:DMA
// ł1`3ݒ肷DEBUG_`}N͖
#ifndef USART_TYPE
  #define USART_TYPE 3
#endif
#include  "e097b_usart.h"

// B3MvgR֐
#include  <b3mlib.h>
#include  <b3mmemmap.h>

// }NƃO[oϐ
//-----------------------------
// USARTɂfobOo
#if ((USART_TYPE == 4) || (USART_TYPE == 5) || (USART_TYPE == 6))
#define ENABLE_GPIO_USART
#endif
#ifdef ENABLE_GPIO_USART
  #define DBUG_PRINTF(fmt,...)  us_printf(fmt,##__VA_ARGS__)
  #define DBUG_PRINTF_ADDR      us_printf
  #define DEBUG_GETC()          (us_rx_buff () ? us_getc () : 0)
#else
  #define DBUG_PRINTF(fmt,...)  
  #define DBUG_PRINTF_ADDR      (0)
  #define DEBUG_GETC(c)         (0)
#endif

// B3MLIBVAʐMpobt@
uint8_t txb[100], rxb[100];

// B3MLIBfoCXID
TDeviceID devid;

#define _TARGET_ID    (0)
#define _BAUDRATE     (115200)

#define TORQUE_LOCK   (0x03)
#define TORQUE_FREE   (0x02)
#define TORQUE_NORMAL (0x00)

#define DIF           (50)

// task 1
//-----------------------------
void T1 (void *pvParameters) {
  int16_t ang, d = DIF;
  portTickType t = xTaskGetTickCount();

  DBUG_PRINTF("T1>Start\n");
  B3M_ReadWordData (devid, _TARGET_ID, ADDRESS_CURRENT_POSITION, (uint16_t *)&ang, NULL);
  DBUG_PRINTF("CURRENT POSITION=%6d\n", ang);
  for (;;) {
    ang = ang + d;
    if (ang > 9000) {
      ang = 9000;
      d = -DIF;
    }
    if (ang < -9000) {
      ang = -9000;
      d = DIF;
    }
    // pxw
    B3M_WriteWordData (devid, _TARGET_ID, ADDRESS_DESIRED_POSITION, (uint16_t)ang, NULL);
    DBUG_PRINTF("\rDESIRED POSITION=%6d", ang);

    vTaskDelayUntil (&t, 10);
  }
}

// task 2
//-----------------------------
void T2 (void *pvParameters) {
  portTickType t = xTaskGetTickCount();

  DBUG_PRINTF("T2>Start\n");
  while (1) {
    // LED2𔽓]
    Chip_GPIO_SetPinToggle (LPC_GPIO_PORT, 0, _LED2);

    if (DEBUG_GETC () == '!') {
      DBUG_PRINTF ("\n>BYE!\n ");
      Delay_ms (50);
      NVIC_SystemReset ();
    }

    vTaskDelayUntil (&t, 10);
  }
}

// usart
//-----------------------------
// usart
uint32_t us0_init (uint32_t baud) {
  return usart0_dma_init (Chip_Clock_GetFRGClockRate (0), baud, USIP_8N1, txb, sizeof (txb), rxb, sizeof (rxb));
}

// {[[gXV
uint32_t us0_setbaud (uint32_t baud) {
  return usart0_dma_setbaudrate (Chip_Clock_GetFRGClockRate (0), baud);
}

// main
//-----------------------------
void main (void) {
  // B3MLIBp[^
  const TB3MHost_ConfParam conf = {
    us0_init, us0_setbaud, usart0_dma_rx_buff, usart0_dma_rx_purge, usart0_dma_putsbd, usart0_dma_getc
  };

#ifdef ENABLE_GPIO_USART
  // debug printpusart3
  static uint8_t us3_txd[10], us3_rxd[10];
  us_init (Chip_Clock_GetFRGClockRate (0), 115200, USIP_8N1, us3_txd, sizeof (us3_txd), us3_rxd, sizeof (us3_rxd));
#endif
  DBUG_PRINTF ("START\n");

  // B3MLIBI[v
  devid = B3M_OpenPort (&conf, _BAUDRATE);
  // ^CAEg10ms
  B3M_SetTimeOutOffset (devid, 10);

  Delay_ms (1000);

  // B3Mo
  if (B3M_Ping (devid, _TARGET_ID, NULL)) {
    // gNon
    if (B3M_WriteWordData (devid, _TARGET_ID, ADDRESS_TORQUE_ON, TORQUE_NORMAL, NULL)) {
      // ^XN쐬
      xTaskCreate (T1, NULL, 300, NULL, 1, NULL);
      xTaskCreate (T2, NULL, 300, NULL, 1, NULL);
      // ^XNX^[g
      vTaskStartScheduler();
    }
  }
}
